#include <bits/stdc++.h>
using namespace std;
ifstream f1("BAI1_18.INP");
ofstream f2("BAI1_18.OUT");
int demuoc(int n)
{
    int i,dem=0;
    for(i=1;i<=n;i++)
    {
        if(n%i==0){dem++;}
    }
    return dem;
}
int main()
{
    int n,k,i,dem=0;
    f1>>n>>k;
    for(i=1;i<=n;i++)
    {
        if(demuoc(i)==k){dem++;}
    }
    f2<<dem;
    f1.close();
    f2.close();
    return 0;
}
